<html>
<head>
<META http-equiv="Content-Type" content="text/html">
<style type="text/css">
		h1, h2, h3, h4, h5, h6 {
			font-family : segoe ui;
			color : black;
			background-color : #EDE7D9;
			padding: 0.3em;
		}

		h1 {
			font-size: 1.2em;
		}		

		h2 {
			font-size: 1.2em;
		}

		body {
			font-family : segoe ui;
		}

		td, th {
			padding: 0.5em;
			text-align : left;
			width: 10em;
		}
		th {
			background-color : #EEEEEE;

		}
		th.column1, td.column1 {
			text-align: left;
			width : auto;
		}
		table {
			width : 100%;
			font-size: 0.9em;
		}

		.DRC_summary_header {
			padding-bottom : 0.1em;
			border : 0px solid black;
			width: 100%;
			align: left;
		}

		.DRC_summary_header_col1,
		.DRC_summary_header_col2, 
		.DRC_summary_header_col3 {
			color : black;
			font-size:100%;
			padding : 0em;
			padding-top : 0.2em;
			padding-bottom 0.2em;
			border : 0px solid black;
			vertical-align: top;
			text-align: left;
		}

		.DRC_summary_header_col1 {
			font-weight: bold;
			width: 9em;
		}

		.DRC_summary_header_col2 {
			width: 0.1em;
		
		}

		.DRC_summary_header_col3 {
			width : auto;
		}

		.header_holder {
		    Width = 100%;
		    border = 0px solid green;
		    padding = 0;
		}


		.front_matter, .front_matter_column1, .front_matter_column2, .front_matter_column3
		{
			left : 0;
			top : 0;
			padding: 0em;
			padding-top : 0.1em;
			border : 0px solid black;
			width : 100%;
			vertical-align: top;
			text-align: left;
		}

		.front_matter_column1 {
			width : 8em;
			font-weight: bold;
		}

		.front_matter_column2 {
			width: 0.1em;
		}

		.front_matter_column3 {
			width : auto;
		}

		.total_column1, .total_column {
			font-weight : bold;
		}
		.total_column1 {
			text-align : left;
		}
		.warning, .error {
			color : red;
			font-weight : bold;
		}
		tr.onmouseout_odd {
			background-color : #white;
		}
		tr.onmouseout_even { 
			background-color : #FAFAFA;
		}
		tr.onmouseover_odd, tr.onmouseover_even { 
			background-color : #EEEEEE;
		} 
		a:link, a:visited, .q a:link,.q a:active,.q {
			color: #21489e; 
		}
		a:link.callback, a:visited.callback { 
			color: #21489e;
		}
		a:link.customize, a:visited.customize {
			color: #C0C0C0;
			position: absolute; 
			right: 10px;
		}	
		p.contents_level1 {
			font-weight : bold;
			font-size : 110%;
			margin : 0.5em;
		}
		p.contents_level2 {
			position : relative;
			left : 20px;
			margin : 0.5em;
		}
	</style><script type="text/javascript">
		function coordToMils(coord) {
			var number = coord / 10000;
			
			if (number != number.toFixed(3))
				number = number.toFixed(3);

			return number + 'mil'
		}

		function coordToMM(coord) {
			var number = 0.0254 * coord / 10000;
			
			if (number != number.toFixed(4))
				number = number.toFixed(4);
			
			return number + 'mm'
		}
	
		function convertCoord(coordNode, units) {
			for (var i = 0; i < coordNode.childNodes.length; i++) {
				coordNode.removeChild(coordNode.childNodes[i]);
			}

			var coord = coordNode.getAttribute('value');
			if (coord != null) {
				if (units == 'mm') {
					textNode = document.createTextNode(coordToMM(coord));
					coordNode.appendChild(textNode);
				} else if (units == 'mil') {
					textNode = document.createTextNode(coordToMils(coord));		
					coordNode.appendChild(textNode);	
				}
			}
		}
	
		function convertUnits(unitNode, units) {
			for (var i = 0; i < unitNode.childNodes.length; i++) {
				unitNode.removeChild(unitNode.childNodes[i]);		
			}
		
			textNode = document.createTextNode(units); 
			unitNode.appendChild(textNode);
		}
	
		function changeUnits(radio_input, units) {
			if (radio_input.checked) {
			
				var elements = document.getElementsByName('coordinate');
				if (elements) {
					for (var i = 0; i < elements.length; i++) {
						convertCoord(elements[i], units);
					}
				}
	
				var elements = document.getElementsByName('units');
				if (elements) {
					for (var i = 0; i < elements.length; i++) {
						convertUnits(elements[i], units);
					}
				}
			}
		}
	</script><title>Design Rule Verification Report</title>
</head>
<body onload=""><img ALT="Altium" src="
			file://C:\Users\Public\Documents\Altium\AD23\Templates\AD_logo.png
		"><h1>Design Rule Verification Report</h1>
<table class="header_holder">
<td class="column1">
<table class="front_matter">
<tr class="front_matter">
<td class="front_matter_column1">Date:</td>
<td class="front_matter_column2"></td>
<td class="front_matter_column3">17/10/2023</td>
</tr>
<tr class="front_matter">
<td class="front_matter_column1">Time:</td>
<td class="front_matter_column2"></td>
<td class="front_matter_column3">19:06:47</td>
</tr>
<tr class="front_matter">
<td class="front_matter_column1">Elapsed Time:</td>
<td class="front_matter_column2"></td>
<td class="front_matter_column3">00:00:01</td>
</tr>
<tr class="front_matter">
<td class="front_matter_column1">Filename:</td>
<td class="front_matter_column2"></td>
<td class="front_matter_column3"><a href="file:///E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc" class="file"><acronym title="E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc">E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc</acronym></a></td>
</tr>
</table>
</td>
<td class="column2">
<table class="DRC_summary_header">
<tr>
<td class="DRC_summary_header_col1">Warnings:</td>
<td class="DRC_summary_header_col2"></td>
<td class="DRC_summary_header_col3">0</td></tr>
<tr>
<td class="DRC_summary_header_col1">Rule Violations:</td>
<td class="DRC_summary_header_col2"></td>
<td class="DRC_summary_header_col3" style="color : red">3</td></tr>
</table>
</td>
</table><a name="ID5QVZB323EVK5E035EYUX0115PGH2233O5AWJIJBSGA3D3E0D0E5H"><h2>Summary</h2></a><table>
<tr>
<th class="column1">Warnings</th>
<th class="column2">Count</th>
</tr>
<tr>
<td style="font-weight : bold; text-align : right" class="column1">Total</td>
<td style="font-weight : bold" class="column2">0</td>
</tr>
</table><br><table>
<tr>
<th class="column1">Rule Violations</th>
<th class="column2">Count</th>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDAFYF0LLHZ2UCCASZGNO5C2QMUKNNT1UTSGPFXOLRFBFVS3DA15LK">Clearance Constraint (Gap=0.08mm) (All),(All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="#IDT11BFKRLFTWRHURQ32ICIKPR1J2KA3AJOCBOP1NGP4PM0YFGBVXD">Short-Circuit Constraint (Allowed=No) (All),(All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDWDKQP3CN4CDXH0HVZPWLGGWTRPATNE0YHGZ1OGBF2M0AYRLR2EJ">Un-Routed Net Constraint ( (All) )</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="#IDMAW02P150MALKA4ICAHT3JMSSFJPW412TSXJR4CXSUFV21O2XS1M">Modified Polygon (Allow modified: No), (Allow shelved: No)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDINU0TABJZ3W4KQSN0WGO24ERALS0C2KTZAZLE2E0RGS323UU2SNJ">Width Constraint (Min=0.08mm) (Max=10mm) (Preferred=0.2mm) (All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="#IDTFCBKDYPPUIBCJQR0F5T1SOT3EM0FMIP4CWE4RJDNXO3ZEBOC1ZF">Power Plane Connect Rule(Relief Connect )(Expansion=0.5mm) (Conductor Width=0.3mm) (Air Gap=0.3mm) (Entries=4) (All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDPYJO4ZDSDDPTOLCNXKXHGY1FVBUAHB4WROI3AOHDYNNKCX11VXWD">Minimum Annular Ring (Minimum=0.1mm) (All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="#ID0T5IXENFH5IGFKFOZVSZ22D1JDAS02NJGWSNDCOM0TAHPBMRK1XM">Hole Size Constraint (Min=0.2mm) (Max=6.5mm) (All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDYJUXJLLCSXCNDLJRNU33GHG0WLLPUVJBKDDYTAH2NEFELPZJIENH">Hole To Hole Clearance (Gap=0.3mm) (All),(All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="#IDOBKM4ME1LJLZFASMMH1PIG5BSMYN4ZLYBSTCAFP2FLP2VZE21GNB">Minimum Solder Mask Sliver (Gap=0.15mm) (All),(All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDT30NWPY3X13YOF3X5JJ5VDPVGEVQPU5LUAIF4IGMUP3T0YPABSMP">Silk To Solder Mask (Clearance=0.15mm) (IsPad),(All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="#ID4CKIJDLI0AORLPZTK5RXGH2TML5MYOVBRN1Z33HY1N4HQWFRNFGF">Silk to Silk (Clearance=0.2mm) (All),(All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDT0BP1TU2NLJYCBTK4HTW4JR33EJJYT2AOQVTYNNZ3UT5WQA31EHB">Net Antennae (Tolerance=0mm) (All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="#IDHQRNNY3BY1JBMA0ZNT0RUOHWOSZU02ZZIGAJBFOIKF4OZVKE3O">Board Clearance Constraint (Gap=0mm) (All)</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDUM0USWFKGBIIFF4K2GZ1BW3FKEEZMMGYTYY3FFJMB4BLGNFLHD3H">Matched Lengths(Delay Tolerance=5ps) (InDifferentialPairClass('CSI'))</a></td>
<td class="column2">0</td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="#IDYOPVAJPGZTNADW2O4Y2OZ0CN3INBNBLBWMQQLZCPWFJQFP4V3O2C">Matched Lengths(Tolerance=0.5mm) (InDifferentialPairClass('CSI'))</a></td>
<td class="column2">3</td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="#IDD0M1G2OFLRIPB0KY3ZMNOGIFQKGI1WIVVIM2UVNNIBGF4NGKPNSN">Height Constraint (Min=0mm) (Max=25.4mm) (Prefered=12.7mm) (All)</a></td>
<td class="column2">0</td>
</tr>
<tr>
<td style="font-weight : bold; text-align : right" class="column1">Total</td>
<td style="font-weight : bold" class="column2">3</td>
</tr>
</table><br><a name="IDYOPVAJPGZTNADW2O4Y2OZ0CN3INBNBLBWMQQLZCPWFJQFP4V3O2C"><table>
<tr>
<th style="text-align : left" colspan="1" class="rule">Matched Lengths(Tolerance=0.5mm) (InDifferentialPairClass('CSI'))</th>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="dxpprocess://PCB:Zoom?document=E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc;viewname=PCBEditor;Action=AREA_DYNAMICZOOM|Location1.X=2060.267mil|Location2.X=2126.614mil|Location1.Y=1063.386mil|Location2.Y=1959.252mil|Absolute=True" class="callback"><acronym title="dxpprocess://PCB:Zoom?document=E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc;viewname=PCBEditor;Action=AREA_DYNAMICZOOM|Location1.X=2060.267mil|Location2.X=2126.614mil|Location1.Y=1063.386mil|Location2.Y=1959.252mil|Absolute=True">Matched Net Lengths: Differential Pair CSI_D0 Actual Length Difference against diff pair CSI_CLK is: 0.506mm, Length Tolerance : 0.5mm.</acronym></a><br></td>
</tr>
<tr class="onmouseout_even" onmouseover="className = 'onmouseover_even'" onmouseout="className = 'onmouseout_even'">
<td class="column1"><a href="dxpprocess://PCB:Zoom?document=E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc;viewname=PCBEditor;Action=AREA_DYNAMICZOOM|Location1.X=1927.934mil|Location2.X=2266.713mil|Location1.Y=1063.386mil|Location2.Y=1959.252mil|Absolute=True" class="callback"><acronym title="dxpprocess://PCB:Zoom?document=E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc;viewname=PCBEditor;Action=AREA_DYNAMICZOOM|Location1.X=1927.934mil|Location2.X=2266.713mil|Location1.Y=1063.386mil|Location2.Y=1959.252mil|Absolute=True">Matched Net Lengths: Between Net CSI_CLK_P And Net CSI_D1_P Length:30.688mm is not within 0.5mm tolerance of Length:31.445mm (0.257mm short) </acronym></a><br></td>
</tr>
<tr class="onmouseout_odd" onmouseover="className = 'onmouseover_odd'" onmouseout="className = 'onmouseout_odd'">
<td class="column1"><a href="dxpprocess://PCB:Zoom?document=E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc;viewname=PCBEditor;Action=AREA_DYNAMICZOOM|Location1.X=1919.087mil|Location2.X=2146.847mil|Location1.Y=1063.386mil|Location2.Y=1959.252mil|Absolute=True" class="callback"><acronym title="dxpprocess://PCB:Zoom?document=E:\git\robojan\microrobot++_cm4_pcb\camera_flex\camera_flex.PcbDoc;viewname=PCBEditor;Action=AREA_DYNAMICZOOM|Location1.X=1919.087mil|Location2.X=2146.847mil|Location1.Y=1063.386mil|Location2.Y=1959.252mil|Absolute=True">Matched Net Lengths: Between Net CSI_D0_N And Net CSI_D1_N Length:30.729mm is not within 0.5mm tolerance of Length:31.447mm (0.217mm short) </acronym></a><br></td>
</tr>
</table></a><hr color="#EEEEEE"><a href="#top" style="font-size: 0.9em">Back to top</a><br><br></body>
</html>
